<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Upload;

class CreateVideoThumb extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'thumbnail:generate {video_id}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'generate thumbnail from video file';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $upload = Upload::find($this->argument('video_id'));
        
        $video = public_path($upload->location);
        $info = pathinfo($upload->location);
        $extention = $info['extension'];
        $basename = $info['filename'].'.png';

        $thumb_path = public_path('uploads/thumbs/'.date("Y/m/d")."/".$basename);

        // get duration
        $time =  exec("ffmpeg -i $video 2>&1 | grep 'Duration' | cut -d ' ' -f 4 | sed s/,//");

        // duration in seconds; half the duration = middle
        $duration = explode(":", $time);
            
        $durationInSeconds = $duration[0]*3600 + $duration[1]*60+ round($duration[2]);
        $durationMiddle = $durationInSeconds/2;

        // recalculte to minutes and seconds
        $minutes = $durationMiddle/60;
        $realMinutes = floor($minutes);
        $realSeconds = round(($minutes-$realMinutes)*60);

        $hours = (int) substr($time, 0, 2);
        $mins = (int) substr($time, 3, 2) + $hours * 60;
        $secs = (int) substr($time, 6, 2) + $mins * 60;
        $secs += ((int) substr($time, 9, 2)) / 100;

        $middle =  gmdate("H:i:s", $secs/2);

        $ex = 'ffmpeg -ss '.$middle.' -i '.$video.' -vframes 1  -vf scale=310:240 '.$thumb_path.'';
            
        exec($ex);

        if (file_exists($thumb_path) && filesize($thumb_path) > 100) {
            $thumb_location = '/uploads/thumbs/'.date("Y/m/d")."/".$basename;
            $upload->thumb_location = $thumb_location;
            $upload->length = $time;
            $upload->is_ready = 1;
            $upload->save();
        }
    }
}
