<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;

use App\Device;
use App\UserDevice;
use App\Setting;
use App\Upload;
use DB;

use Illuminate\Http\Response;

class ListController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
   

    public function screens(Request $request)
    {
        $screens = DB::table('user_devices')
         ->join('devices', 'user_devices.device_id', '=', 'devices.id')
         ->leftJoin('device_ads', 'user_devices.device_id', '=', 'device_ads.device_id')
        // ->where('user_id', $request->user()->id)
        ->orderBy('user_devices.updated_at', 'DESC')
        ->select('user_devices.*', 'devices.code', 'devices.status', DB::raw("count(device_ads.id) as count"))
        ->groupBy('user_devices.id')
        ->paginate(10);

      
        return response()->json($screens, 200);
    }

    public function screenMedia($id, Request $request)
    {
        $device = UserDevice::where('device_id', $id)->first();

        if ($device==null /*|| $device->user_id!=$request->user()->id*/) {
            return response()->json(['success'=>false], 400);
        }

        $uploads = DB::table('uploads')
            ->join('device_ads', 'uploads.id', '=', 'device_ads.upload_id')
            ->where('device_ads.device_id', $device->device_id)
            ->orderBy('device_ads.position', 'ASC')
            ->select('uploads.*', 'device_ads.start_time', 'device_ads.end_time', 'device_ads.id AS ad_id')
            ->get();

        return response()->json($uploads, 200);
    }


    public function library(Request $request)
    {
        $data = $request->only('type', 'search');

        $fetch = Upload::with('user')/*where('user_id', $request->user()->id)->*/->orderBy('updated_at', 'desc');
        if ($data['type'] != null) {
            $types = ["image" => 1, "video" => 2];
            if (array_key_exists($data['type'], $types)) {
                $fetch->where('type', $types[$data['type']]);
            }
        }

        if ($data['search']!=null) {
            $fetch->where('name', 'like', '%'.$data['search'].'%');
        }

        return response()->json($fetch->with("screens")->paginate(12), 200);
    }
}
