<?php

namespace App\Jobs;

use Illuminate\Bus\Queueable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use App\Upload;
use Image;

use App\Handlers\ThumbnailHandler;

class CreateThumbnail implements ShouldQueue
{
    use InteractsWithQueue, Queueable, SerializesModels;

    protected $upload;
    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct(Upload $upload)
    {
        //
        $this->upload = $upload;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle(ThumbnailHandler $thumbnail)
    {
        //
        $thumbnail->handle($this->upload);
    }
}
