<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class UserCreated extends Mailable
{
    public $user;
    public $tempPwd;

    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($user, $tempPwd)
    {
        //
        $this->user = $user;
        $this->tempPwd  = $tempPwd;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->view('emails.user.created')
                    ->with([
                        'user'    => $this->user,
                        'tempPwd' => $this->tempPwd
                    ]);
    }
}
