<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDeviceAdsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('device_ads', function (Blueprint $table) {
            $table->increments('id');
            $table->timestamps();
            $table->integer('upload_id')->unsigned()->index();
            $table->integer('device_id')->unsigned()->index();
            $table->string('start_time')->nullable();
            $table->string('end_time')->nullable();
            $table->integer('status')->default(1); 

                //setup foreign keys
              $table->foreign('upload_id')
            ->references('id')->on('uploads')
            ->onDelete('cascade');

                //setup foreign keys
              $table->foreign('device_id')
            ->references('id')->on('devices')
            ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('device_ads');
    }
}
