//inject directives and services.
var app = angular.module('hiproApp', [
    'ngFileUpload',
    'angularjs-datetime-picker',
    'dndLists',
    'ngSanitize',
    'com.2fdevs.videogular',
    'com.2fdevs.videogular.plugins.controls',
    'com.2fdevs.videogular.plugins.overlayplay',
    'com.2fdevs.videogular.plugins.poster',
    'ui-rangeSlider'
    ], function($interpolateProvider) {

    $interpolateProvider.startSymbol('<%');
    $interpolateProvider.endSymbol('%>');

});

app.controller('Ctrl', ['$scope', 'Upload', '$timeout', '$http', function ($scope, Upload, $timeout, $http) {
    // upload later on form submit or something similar

    $scope.screens = [];

    $http.get('https://'+window.location.host+'/ajax/screens').then(function(response){

        angular.forEach(response.data, function(value, key){
            value.value = false;
            $scope.screens.push(value);
        });

        console.log($scope.screens);

    }, function(error){
        console.log(error);
    });

    //save screen

    $scope.device = {name:null, code:null};
    $scope.message = null;

    $scope.saveScreen = function(){

        $http.post('https://'+window.location.host+'/ajax/add_device', $scope.device).then(function(response){

            console.log(response.status);
            if(response.status==400)
            {
                $scope.message = response.data.error;
            }

            if(response.status==200)
            {
               window.location = 'https://'+window.location.host+'/screen/'+response.data.device_id;
            }

        }, function(error){
            if(error.status==400)
            {
                $scope.message = error.data.error;
            }

        });

    };


    $scope.start_date = null;
    $scope.end_date = null;

    $scope.all = false;

    $scope.checkAll = function(param){
        angular.forEach($scope.screens, function(value, key){
            value.value = param;
        });
    };

    $scope.check = function(param){
        if(!param)
        {
            $scope.all = param;
        }
    };

    $scope.progress = {
        start: false,
        value: '(0%)'
    };

    $scope.uploadFile = function(file) {

        console.log(file);

        $scope.progress.start = true;

        var screens = [];

        angular.forEach($scope.screens, function(value, key){
            if(value.value)
                screens.push(value);
        });

        file.upload = Upload.upload({
          url: 'https://'+window.location.host+'/upload',
          data: {screens: screens, file: file, start_date: $scope.start_date, end_date: $scope.end_date},
        });

        file.upload.then(function (response) {
            window.location = 'https://'+window.location.host+'/library';
        }, function (response) {
            if (response.status > 0)
                $scope.errorMsg = response.status + ': ' + response.data;

            //$scope.progress.start = false;
        }, function (evt) {
          // Math.min is to fix IE which reports 200% sometimes
          file.progress = Math.min(100, parseInt(100.0 * evt.loaded / evt.total));
          $scope.progress.value = '('+file.progress+'%)';
        });

    };

    $('.uploadFile').change(function(){
        $scope.progress = {
            start: false,
            value: '(0%)'
        };
    });

    $scope.link = {
        url: '',
        type: 'youtube',
        screens: [],
        start_date: null,
        end_date: null,
        data: null,
        mute: null,
        crop_start_time: null,
        crop_end_time: null,
        crop: false
    };

    $scope.crop_start_time = 0;
    $scope.crop_end_time = 0;

    $scope.youtubeLoader = false;

    $('#youtube_link').change(function(){

        if($scope.link.url!=''){

            $scope.youtubeLoader = true;

            $http.post('https://'+window.location.host+'/upload/videoinfo', $scope.link).then(function(response){

                console.log(response);

                if(response.status==400)
                {
                    $scope.progress.start = false;
                    $scope.message = response.data.error;
                }

                if(response.status==200)
                {
                    $scope.link.data = response.data;
                    $scope.sliderConfig = {
                        min:  0,
                        max:  response.data.duration_seconds,
                        step: 1,
                        userMin: 0,
                        userMax: response.data.duration_seconds
                    };

                    $scope.crop_end_time = response.data.duration_seconds;

                    console.log($scope.sliderConfig);
                }

                $scope.youtubeLoader = false;

            }, function(error){
                if(error.status==400)
                {
                    $scope.message = error.data.error;
                }

                $scope.youtubeLoader = false;
            });

        }
    });

    $scope.saveLink = function() {

        $scope.progress.start = true;

        $scope.link.screens = [];

        $scope.link.crop_start_time = $scope.sliderConfig ? $scope.sliderConfig.userMin : null;
        $scope.link.crop_end_time = $scope.sliderConfig ? $scope.sliderConfig.userMax : null;

        if($scope.link.crop_start_time != $scope.crop_start_time || $scope.link.crop_end_time != $scope.crop_end_time){
            $scope.link.crop = true;
        } else {
            $scope.link.crop = false;
        }

        angular.forEach($scope.screens, function(value, key){
            if(value.value)
                $scope.link.screens.push(value);
        });

        $http.post('https://'+window.location.host+'/upload', $scope.link).then(function(response){

                console.log(response);

                if(response.status==400)
                {
                    $scope.progress.start = false;
                    $scope.message = response.data.error;
                }

                if(response.status==200)
                {
                    window.location = 'https://'+window.location.host+'/library';
                }

            }, function(error){
                if(error.status==400)
                {
                    $scope.message = error.data.error;
                }
                $scope.progress.start = false;
            });

    };

    $scope.sliderConfig = null;

    $scope.settings_image_duration = null;

    $http.get('https://'+window.location.host+'/ajax/settings', $scope.settings).then(function(response){

        if(response.status==200)
        {
            //$scope.settings = response.data;

            angular.forEach(response.data, function(value, key){

                if(value.key == "DEFAULT_IMAGE_DURATION"){
                    $scope.settings_image_duration = value;
                }

            });
        }

    }, function(error){
        if(error.status==400)
        {
            $scope.message = error.data.error;
        }
    });

    $scope.saveSettings = function(){

        console.log($scope.settings_image_duration);

        if($scope.settings_image_duration.value!='')
        {
            $http.post('https://'+window.location.host+'/ajax/settings/update', {image_duration:$scope.settings_image_duration.value}).then(function(response){

                if(response.status==200)
                {
                    //$("#settingsModal").modal('hide');
                    $('#settingCloseModal').click();
                }

            }, function(error){
                if(error.status==400)
                {
                    $scope.message = error.data.error;
                }
            });
        }

    };
}]);


app.filter('customFilter', function () {
    return function (value, max) {
        //if (value == max) { return max; }

        var h = parseInt(value / 60);
        var m = parseInt(value % 60);

        var hStr = (h > 0) ? h + ':'  : '00:';
        var mStr = (m > 0) ? m + '' : '00';

        var glue = (hStr && mStr) ? ' ' : '';

        return hStr + glue + mStr;
    };
});
