
app.controller('UsersController', ['$scope', '$http', 'paginationService', '$sce', function ($scope, $http, paginationService, $sce) {
    
    $scope.deleteUser = function(id) {
        Swal.fire({
          title: 'Are you sure?',
          text: "You won't be able to revert this!",
          type: 'warning',
          showCancelButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Yes, delete user!'
        }).then((result) => {
          if (result.value) {
            $http.delete('/users/' + id, { user_id: id })
             .then(
                function(response){
                    Swal.fire(
                      'Deleted!',
                      'User has been deleted.',
                      'success'
                    )

                    location.reload();
                }, 
                function(response){
                    Swal.fire(
                      'Not Deleted!',
                      'User could not deleted.',
                      'warning'
                    )
                }
            );
          }
        })
    }

}]);

app.directive('myEnter', function () {
    return function (scope, element, attrs) {
        element.bind("keydown keypress", function (event) {
            if(event.which === 13) {
                scope.$apply(function (){
                    scope.$eval(attrs.myEnter);
                });

                event.preventDefault();
            }
        });
    };
});