
@extends('layouts.app')

@section('content')

<div ng-controller="screensCtrl">

    <div class="subHeader">
        <div class="container">


            <div class="row">
                <div class="col-sm-8 col-xs-8 col-lg-8 col-md-8">


                    @include('layouts.menu')

                </div>

                <div class="col-sm-4 col-xs-4 col-md-4 col-lg-4">


            </div>

        </div>
    </div>
</div>


<div class="contentOutput">
        
    
    <div class="container">
        <div class="row">
                <div class="col-sm-12">
                    <ol class="breadcrumb">
                        <li>
                        <a href="{{url('home')}}">Screens</a>
                        </li>
                    </ol>
                </div>

                <div class="col-sm-8">
                    <h2 class="addScreen">
                        Screens
                        <a class="btn btn-primary " data-toggle="modal" data-target="#screenModal">
                        Add New &nbsp;<i class="fa fa-plus"></i>
                        </a>
                    </h2>
                </div>

                <div class="col-sm-4" style="margin-top: 20px;">
                    <input 
                        type="text" 
                        class="form-control" 
                        id="q" 
                        ng-model="q"
                        placeholder="Filter screens by enter a name..." />
                </div>
        </div>
    </div>

    <div class="container">
        <div class="row">
            <div class="col-sm-12">


                <div class="screenTableDisplay">
                    <table class="table" id="mydata">
                        <thead>
                            <tr>
                                <th style="width:10%;">
                                    # 
                                </th>
                                <th style="width:25%;">
                                    Screen Name
                                </th>

                                <th style="width:15%;">
                                    No. of Ads
                                </th>

                                <th style="width:15%;">
                                    Serial No.
                                </th>

                                <th style="width:15%;">
                                    Status
                                </th>
                                <th style="width:15%;">
                                    Actions
                                </th>
                            </tr>
                        </thead>

                        <tbody>
                            <tr ng-repeat="(key, screen) in screens | filter:q" ng-cloak>

                                <th scope="row">
                                    <span ng-bind="screen.id"></span>
                                </th>

                                <td>
                                   <span ng-bind="screen.name"></span>
                                </td>

                                <td>
                                        <span ng-bind="screen.count"></span> 
                                </td>
                                    
                                <td>
                                   <span ng-bind="screen.code"></span> 
                                </td>

                                <td>
                                    <span ng:if="screen.status == true" class="badge active" ng-bind="screen.status | status"></span> 
                                    <span ng:if="screen.status == false" class="badge inactive" ng-bind="screen.status | status"></span> 
                                </td>

                                <td>
                                    <a href="screen/<%screen.device_id%>"
                                       class="btn btn-sm btn-default">
                                       <i class="fa fa-eye"></i>
                                    </a>
                                    <a href="#" 
                                       class="btn btn-sm btn-default"
                                       ng-click="edit(key)" 
                                       data-toggle="modal" 
                                       data-target="#editModal">
                                       <i class="fa fa-pencil"></i>
                                    </a>
                                    <button ng:click="refreshScreen(screen.id)" class="btn btn-sm btn-default">
                                        <i class="fa fa-refresh"></i>
                                    </button>

                                    <button ng:if="screen.status == false" ng:click="activateScreen(screen.id)" class="btn btn-sm btn-default">
                                        <i class="fa fa-power-off"></i>
                                    </button>
                                    <button ng:if="screen.status == true" ng:click="deactivateScreen(screen.id)" class="btn btn-sm btn-default">
                                        <i class="fa fa-power-off"></i>
                                    </button>

                                    <button ng:click="deleteScreen(screen.id)" class="btn btn-sm btn-default">
                                        <i class="fa fa-trash"></i>
                                    </button>
                                </td>

                            </tr>


                        </tbody>
                    </table>
                </div>





                <div class="alert alert-danger" role="alert" ng-if="!screens.length" ng-cloak>
                    No screen found    
                </div>

            </div>
            <div class="col-sm-12" ng-if="screens.length" ng-cloak>
                <ul class="pagination">
                    <li ng-class="{disabled:pager.currentPage === 1}">
                        <a ng-click="setPage(1)">First</a>
                    </li>
                    <li ng-class="{disabled:pager.currentPage === 1}">
                        <a ng-click="setPage(pager.currentPage - 1)">←</a>
                    </li>
                    <li ng-repeat="page in pager.pages" ng-class="{active:pager.currentPage === page}">
                        <a ng-click="setPage(page)"><%page%></a>
                    </li>               
                    <li ng-class="{disabled:pager.currentPage === pager.totalPages}">
                        <a ng-click="setPage( pager.currentPage === pager.totalPages ? pager.totalPages : pager.currentPage + 1)">→</a>
                    </li>
                    <li ng-class="{disabled:pager.currentPage === pager.totalPages}" >
                        <a ng-click="setPage(pager.totalPages)">Last</a>
                    </li>
                </ul>
            </div>

        </div>
    </div>


    </div>



    <div class="modalContent">

        <style>

        
        .modal-header {
            background: #1c4ca1;
            border-top-left-radius: 3px;
            border-top-right-radius: 3px;
        }

        .modal-header h4{
            font-weight: bold;
            color: white;
        }

        .modal-header button span{
            color: white;
        }

        .modal-footer .btn-primary{
            background-color: #1c4ca1;
            border-color: #1c4ca1;
        }

        .modal-footer .btn-primary:focus{
            background-color: #1c4ca1;
            border-color: #1c4ca1;
        }
        

        #deleteModal .modal-body {
            text-align: center;
        }




        </style>
        
        <!-- Edit Modal -->
        <div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">
                Edit Screen Information
                </h4>
              </div>
              <div class="modal-body">

                <form>
                    <div class="form-group">
                        <label>Screen Name</label>
                        <input type="text" class="form-control" ng-model="screen.name"/>
                    </div>

                    <div class="form-group">
                        <label>Screen Serial Number</label>
                        <input type="text"  ng-model="screen.code" disabled class="form-control"/>
                    </div>

                    <div class="form-group">
                        <label>Screen Owner's Email</label>
                        <input type="email"  ng-model="screen.email" class="form-control"/>
                    </div>                   
                </form>

              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary" ng-click="editScreen()">Save Changes</button>
              </div>
            </div>
          </div>
        </div>

    </div>

</div>
@endsection

