<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Digify | DSS') }}</title>

    <!-- Styles -->
    <link href="/css/app.css" rel="stylesheet">
    <link href="/css/custom.css" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="/css/angularjs-datetime-picker.css" />
    <link rel="stylesheet" href="/js/bower_components/angular-rangeslider/angular.rangeSlider.css">
    <link href="https://fonts.googleapis.com/css?family=Lato:300,400,700,900" rel="stylesheet">

    <link rel="stylesheet" media="screen" type="text/css" href="colorpicker/css/colorpicker.css" />

    <!-- Scripts -->
    <script>
        window.Laravel = <?php echo json_encode([
            'csrfToken' => csrf_token(),
        ]); ?>
    </script>

    <style>
        [ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
          display: none !important;
        }
    </style>
</head>
<body ng-app="hiproApp">
    <div id="app" ng-controller="Ctrl">

    <div class="wrapper">
        
        <nav class="navbar navbar-default navbar-static-top">
            <div class="container">
                <div class="navbar-header">

                    <!-- Collapsed Hamburger -->
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#app-navbar-collapse">
                        <span class="sr-only">Toggle Navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>

                    <!-- Branding Image -->
                    <a class="navbar-brand" href="{{ url('/') }}">
                        <img src="{{ url('images/digify.png') }}" alt="DigifyTv">
                    </a>

                    <!--               
                    <span class="appName pull-right">
                        AD Distribution System (ADS)
                    </span> 
                    -->
                </div>

                <div class="collapse navbar-collapse" id="app-navbar-collapse">
                    <!-- Left Side Of Navbar -->
                    <ul class="nav navbar-nav">
                        &nbsp;
                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="nav navbar-nav navbar-right">
                        <!-- Authentication Links -->
                        @if (Auth::guest())
                            {{-- <li><a href="{{ url('/login') }}">Login</a></li> --}}
                            {{-- <li><a href="{{ url('/register') }}">Register</a></li> --}}
                        @else
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <ul class="dropdown-menu" role="menu">
                                    <li>
                                        <a href="{{ url('/logout') }}"
                                            onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                            Logout
                                        </a>

                                        <form id="logout-form" action="{{ url('/logout') }}" method="POST" style="display: none;">
                                            {{ csrf_field() }}
                                        </form>
                                    </li>
                                </ul>
                            </li>
                        @endif
                    </ul>
                </div>
            </div>
        </nav>

        @yield('content')

        @include('layouts.upload')
        
        @include('layouts.screenmodal')

        @include('layouts.settings')

        <div class="push"></div>

    </div>




    <footer class="footer">

        <div class="row">
            <div class="col-sm-12">
                
            </div>
        </div>
            
    </footer>


    </div>

       @section('javascript')
           
    <!-- Scripts -->
    <script src="/js/app.js"></script>
    <script src="/js/default.js"></script>
   <!--  <script src="/js/jquery.js"></script> -->
    <script src="/js/jqueryui.js"></script>
    <script src="/js/angular.min.js"></script>
    <script src="/js/angular-drag-and-drop-lists.js"></script>
    <script src="/js/ng-file-upload-shim.min.js"></script>
    <script src="/js/ng-file-upload.min.js"></script>
    <script src="/js/angularjs-datetime-picker.js"></script>

    <script src="/js/controller.js"></script>
    <script src="/js/controllers/screens.js"></script>
    <script src="/js/controllers/screen.js"></script>
    <script src="/js/controllers/priority.js"></script>
    <script src="/js/controllers/library.js"></script>
    <script src="/js/controllers/UsersController.js"></script>

    <script src="/js/services/paginationService.js"></script>

    <script src="/js/bower_components/angular-sanitize/angular-sanitize.min.js"></script>
    <script src="/js/bower_components/videogular/videogular.js"></script>
    <script src="/js/bower_components/videogular-controls/vg-controls.js"></script>
    <script src="/js/bower_components/videogular-overlay-play/vg-overlay-play.js"></script>
    <script src="/js/bower_components/videogular-poster/vg-poster.js"></script>
    <script src="/js/bower_components/videogular-buffering/vg-buffering.js"></script>
    <script src="/js/bower_components/angular-rangeslider/angular.rangeSlider.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>

    {{-- <script src="sweetalert2.all.min.js"></script> --}}
    <!-- Optional: include a polyfill for ES6 Promises for IE11 and Android browser -->
    <script src="https://cdn.jsdelivr.net/npm/promise-polyfill"></script>

    <script>
    $(document).ready(function(){
        $("button").click(function(){
          $(this).toggleClass("clicked");
        });

       $(".sortable").sortable({tolerance: "pointer", items:'li.ad'});
       $(".sortable").sortable('disable');

       $('#kiosk_mode').change(function(){

         if($(this).is(':checked'))
         {
            $('span.kiosk_message').html('Kiosk mode (uncheck to disable)');
         }
         else
         {
            $('span.kiosk_message').html('Kiosk mode (check to enanble)');
         }

            var id = $(this).attr('data-id');
            
               $.get('/ajax/screen/kiosk/'+id+'/toggle',{}, function(){

            });
       });

    });

    </script>
    @show
</body>
</html>
