@extends('layouts.app')

@section('content')

<div ng-controller="libraryCtrl">

    <div class="subHeader">
        <div class="container">


            <div class="row">
                <div class="col-sm-8 col-md-8">

                    @include('layouts.menu')

                </div>

                <div class="col-sm-4 col-md-4">
                <form>
                    <div class="subSearch">
                        <input type="text" class="form-control" placeholder="Search Library" ng-model="query" my-enter="search()"/>
                        <a class="searchIcon" ng-click="search()" type="submit">
                            <span><i class="fa fa-search"></i></span>
                        </a>
                    </div>
                </form>
                </div>


            </div>

        </div>
    </div>






    <div class="contentOutput">
        



    <div class="container">
        <div class="row">
                <div class="col-sm-12">
                    <ol class="breadcrumb">
                        <li><a href="{{url('library')}}">Library</a>
                        </li>
                        <!-- <li class="active">View Content</li> -->
                    </ol>
                </div>
        </div>

        <div class="row">
                <div class="col-sm-6">
                    <h2>
                        Library
                    </h2>
                </div>

                <div class="col-sm-6">
                    <div class="libFilter pull-right">
                    <ul>
                        <li><a ng-click="filter('image')">images</a></li>
                        <li><a ng-click="filter('video')">videos</a></li>
                        <li><a ng-click="filter(null)">all</a></li>

                    </ul>
                    </div>
                </div>

        </div>

        <br>
    </div>

















    <div class="container">
        
    




    <div class="libraryContainer">

    <div class="row">

    <div class="col-sm-12 col-xs-12 col-md-12 col-lg-12">
        
    <div class="ContentDisplay ng-cloak" ng-cloak ng-repeat="(key,item) in library" ng-if="library.length">

        <div class="libraryItem">
        
            <div class="libraryImage">
                  <a ng-click="edit(key)" 
                data-toggle="modal" 
                data-target="#editModal" style="cursor:pointer;">  <img 
                ng-if="item.is_ready" 
                class="img-hover" 
                ng-src="<%item.thumb_location%>" 
                alt="..."/></a>

                <img ng-if="!item.is_ready" class="img-hover" ng-src="images/none.png" alt="..."/>
            </div>

            <div class="itemDescription">
                <h6 class="itemName">
                    <% item.name %>
                </h6>

                <h6 class="subInfo">
                    Date Added: <% item.created_at %>
                </h6>

                <h6 class="subInfo">
                    Added By: <% item.user.name %>
                </h6>

                <h6 class="subInfo">
                    Screen Count: <% item.screen_count %>
                </h6>
            </div>

            <div class="actionArea">
                
                <a ng-click="edit(key)" 
                data-toggle="modal" 
                data-target="#editModal"
                class="btn btn-primary">  
                View
                </a>

                <a ng-click="current(key)" 
                data-toggle="modal" 
                data-target="#addModal"
                class="btn btn-primary"> 
                Add to
                </a>

                <a ng-href="<%item.location%>" 
                class="btn btn-primary">
                Download
                </a>

                <a ng-click="remove(key)" 
                class="btn btn-primary">
                Delete
                </a>

            </div>
        </div>

    </div>

       

    </div>

    </div>



                    



        <div class="alert alert-danger" role="alert" ng-if="!library.length&&!isLoading" ng-cloak>
            No data found    
        </div>

        <div class="col-sm-12" ng-if="library.length" ng-cloak>
        <br>
        <br>
            <ul class="pagination" style="right: -15px;">
                <li ng-class="{disabled:pager.currentPage === 1}">
                    <a ng-click="setPage(1)">First</a>
                </li>
                <li ng-class="{disabled:pager.currentPage === 1}">
                    <a ng-click="setPage(pager.currentPage - 1)">←</a>
                </li>
                <li ng-repeat="page in pager.pages" ng-class="{active:pager.currentPage === page}">
                    <a ng-click="setPage(page)"><%page%></a>
                </li>               
                <li ng-class="{disabled:pager.currentPage === pager.totalPages}">
                    <a ng-click="setPage( pager.currentPage === pager.totalPages ? pager.totalPages : pager.currentPage + 1)">→</a>
                </li>
                <li ng-class="{disabled:pager.currentPage === pager.totalPages}" >
                    <a ng-click="setPage(pager.totalPages)">Last</a>
                </li>
            </ul>
        </div>

    </div>











    </div>








    </div>

    <!-- Edit Modal -->
    <div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" id="editModalClose" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">
            Edit Information
            </h4>
          </div>
          <div class="modal-body">

            <form>
                <div class="form-group">
                    <label>Name</label>
                    <input type="text" class="form-control" ng-model="upload.name"/>
                </div>  
                
                        <!-- <div class="container"> -->
                            <div class="row durationPeriod">
                                <div class="col-xs-6">
                                    <label id="step3_5label" for="im_start_date" style="margin-top: 10px;">Start date (optional):</label>
                                    <input datetime-picker ng-model="upload.start_time" readonly="true" class="form-control"/>
                                </div>

                                <div class="col-xs-6">
                                    <label id="step4label" for="im_end_date" style="margin-top: 10px;">End date (optional):</label>
                                    <input datetime-picker ng-model="upload.end_time" readonly="true" class="form-control" />
                                </div>
                            <!-- </div> -->
                        </div>
                        <!--end time container-->

                        <br/><br/>

                <div class="imgContain" ng-if="upload.type==1">
                    <img class="img-hover" ng-src="<%upload.location%>" alt="..."/>
                </div>      

                <videogular vg-theme="config.theme" ng-if="upload.type==2">
                    <vg-media vg-src="config.sources"
                            vg-tracks="config.tracks">
                    </vg-media>
                    <vg-controls>
                        <vg-play-pause-button></vg-play-pause-button>
                        <vg-time-display><% currentTime | date:'mm:ss' %></vg-time-display>
                        <vg-scrub-bar>
                            <vg-scrub-bar-current-time></vg-scrub-bar-current-time>
                        </vg-scrub-bar>
                        <vg-time-display><% timeLeft | date:'mm:ss' %></vg-time-display>
                        <vg-volume>
                            <vg-mute-button></vg-mute-button>
                            <vg-volume-bar></vg-volume-bar>
                        </vg-volume>
                        <vg-fullscreen-button></vg-fullscreen-button>
                    </vg-controls>
         
                    <vg-overlay-play></vg-overlay-play>
                </videogular>   
            </form>

          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
            <button type="button" class="btn btn-primary" ng-click="editUpload()">Save Changes</button>
          </div>
        </div>
      </div>
    </div>



    <!-- Add Modal -->
    <div class="modal fade" id="addModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">
            Add Advertisement
            </h4>
          </div>
          <div class="modal-body">

            <form>

                <div style="margin-top: 10px; height:auto; text-align: center;" class="col-md-12">

                    <div style="">

                        <div class="well" style="padding:5px; margin-top:15px">
                            <label id="step3label" style="margin-top: 10px; margin-bottom: 0px"> Select Screens</label>
                            <fieldset>
                                <label class="checkbox inline" style="font-weight: normal">
                                    <input type="checkbox" class="checkAll" ng-model="all" ng-click="checkAll(all)"> <span style="color:#bb0000">Check all</span>
                                </label>
                                <br>
                                <label class="checkbox inline " style="font-weight: normal; margin: 0 5px" ng-repeat="item in screens">
                                <input type="checkbox" ng-model="item.value" ng-click="check(item.value)"> <span ng-bind="item.name"></span> </label>
                            </fieldset>

                        </div>

                    </div>

                    <div class="row">
                        <div 
                        class="col-md-6 col-sm-6 col-lg-6 col-xs-6">
                            <label 
                            id="step3_5label" 
                            for="im_start_date" 
                            style="margin-top: 10px;">
                            Start date (optional):
                            </label>
                            <input 
                            datetime-picker 
                            ng-model="new_start_date" readonly="true" 
                            class="form-control"/>
                        </div>

                        <div 
                        class="col-md-6 col-sm-6 col-lg-6 col-xs-6">
                            <div class="form-group">
                                <label 
                                id="step4label" 
                                for="im_end_date" 
                                style="margin-top: 10px;">
                                End date (optional):
                                </label>
                                <input 
                                datetime-picker 
                                ng-model="new_end_date" 
                                readonly="true" 
                                class="form-control"/>
                            </div>
                        </div>
                    </div>

                </div>
                <br><br>

            </form>


          </div>
             

        <div class="row">
            <div class="col-md-12">
              <div class="modal-footer" style="margin-top: 30px;">
                <button 
                type="button" 
                class="btn btn-default" 
                data-dismiss="modal">
                Cancel
                </button>
                    
                <button 
                type="button" 
                class="btn btn-primary" 
                ng-click="add()">
                Save Changes
                </button>
              </div>
            </div>
        </div>
        </div>
      </div>
    </div>


</div>

@endsection
